Create identity provider
Creates a new identity provider in the system. Returns the newly created identity provider.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Request Body
application/json
The identity provider details to create.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/identity-providers" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "string" }'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "signAuthnRequest": true, "entityID": "string", "singleSignOnUrl": "string", "singleLogoutUrl": "string", "certificateFile": "string", "useEmbeddedCertificate": true, "buttonLabel": "string", "isAactive": true, "type": "string", "certificatePublicKey": "string", "payload": "string", "assertionConsumerServiceUrl": "string", "serviceProviderEntityID": "string", "createdDate": "2019-08-24T14:15:22Z", "userIdentificationMode": "string", "domainAccountClaim": "string" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}